package space.nstart.pcp.pcp_types_lib.dto.coverage

import space.nstart.pcp.pcp_types_lib.utils.UtcDateTimes
import java.time.LocalDateTime

class CoverageCandidateDebugDTO(
    val satelliteId: Long = 0,
    val timeStart: LocalDateTime = UtcDateTimes.now(),
    val timeEnd: LocalDateTime = UtcDateTimes.now(),
    val rollDegrees: Double = 0.0,
    val accepted: Boolean = false,
    val reason: String = "",
    val newCoverageArea: Double = 0.0,
    val overlapArea: Double = 0.0,
    val gapArea: Double = 0.0,
    val startBoundary: String? = null
) {
}
